{% extends 'layout/app.twig' %}

{% block pageContent %}
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    <h3>Companies & contacts</h3>
                </div>

                <!--<div class="title_right">
                    <div class="col-md-5 col-sm-5   form-group pull-right top_search">
                        <form method="get">

                        <div class="input-group">
                            <input
                                type="text"
                                class="form-control"
                                name="term"
                                placeholder="Search for..."
                                value="<?php echo array_key_exists('term', $_GET) ? $_GET['term'] : '' ?>"
                            >
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="button">Go!</button>
                            </span>
                        </div>
                        </form>
                    </div>
                </div>-->
            </div>

            <div class="clearfix"></div>

            <div class="row" style="display: block;">
                <div class="col-md-12 col-sm-12  ">
                    <div class="x_panel">
                        {% include 'layout/parts/companies-search.twig' %}
                    </div>
                </div>
            </div>

            <div class="row" style="display: block;">
                <div class="col-md-12 col-sm-12  ">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Companies</h2>
                            <div class="clearfix"></div>
                        </div>

                        <div class="x_content">

                            <div class="row mb-3">
                                <div class="col-sm-9">
                                    <p>This is an overview of all our companies</p>
                                </div>
                            </div>

                            <div class="table-responsive">
                                <table class="table table-striped jambo_table bulk_action">
                                    <thead>
                                    <tr class="headings">
                                        <th>
                                            <input type="checkbox" id="check-all" class="flat">
                                        </th>
                                        <th class="column-title">Name</th>
                                        <th class="column-title">Address</th>
                                        <th class="column-title">Zip</th>
                                        <th class="column-title">City</th>
                                        <th class="column-title">VAT</th>
                                        <th class="column-title">Activity</th>
                                        <th class="column-title no-link last"><span class="nobr">Action</span>
                                        <th class="column-title no-link last"><span class="nobr"></span>
                                        <th class="column-title no-link last"><span class="nobr"></span>
                                        </th>
                                        <th class="bulk-actions" colspan="7">
                                            <a class="antoo" style="color:#fff; font-weight:500;">Bulk Actions (
                                                <span class="action-cnt"> </span> ) <i
                                                        class="fa fa-chevron-down"></i></a>
                                        </th>
                                    </tr>
                                    </thead>

                                    <tbody>
                                    {% if companies|length > 0 %}
                                        {% for index, company in companies %}
                                            <tr class="{{ (index % 2 == 0) ? 'even' : 'odd' }}> pointer">
                                                <td class="a-center ">
                                                    <input type="checkbox" class="flat" name="table_records">
                                                </td>
                                                <td class="">{{ company.name }}</td>
                                                <td class="">{{ company.address }}</td>
                                                <td class="">{{ company.zip }}</td>
                                                <td class="">{{ company.city }}</td>
                                                <td class="">{{ company.vat }}</td>
                                                <td class="">{{ company.activity }}</td>
                                                <td class="last">
                                                    <a href="/lookup?id={{ company.id }}">View</a>
                                                </td>
                                                <td class="last">
                                                    <a href="edit-company.php?id={{ company.id }}">Edit</a>
                                                </td>
                                                <td class="last">
                                                    <a href="delete-company.php?id={{ company.id }}">Delete</a>
                                                </td>
                                            </tr>
                                        {% endfor %}
                                    {% else %}
                                        <tr class="even">
                                            <td class="" colspan="8">Geen resultaten gevonden</td>
                                        </tr>
                                    {% endif %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row" style="display: block;">
                <div class="col-md-12 col-sm-12  ">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Companies</h2>
                            <div class="clearfix"></div>
                        </div>

                        <div class="x_content">

                            <div class="row mb-3">
                                <div class="col-sm-9">
                                    <p>This is an overview of all our companies</p>
                                </div>
                            </div>

                            <div class="table-responsive">
                                <table class="table table-striped jambo_table bulk_action">
                                    <thead>
                                    <tr class="headings">
                                        <th>
                                            <input type="checkbox" id="check-all" class="flat">
                                        </th>
                                        <th class="column-title">Name</th>
                                        <th class="column-title">Client</th>
                                        <th class="column-title">Email</th>
                                        <th class="column-title">Phone</th>
                                        <th class="column-title no-link last"><span class="nobr">Action</span>
                                        </th>
                                        <th class="bulk-actions" colspan="7">
                                            <a class="antoo" style="color:#fff; font-weight:500;">Bulk Actions (
                                                <span class="action-cnt"> </span> ) <i
                                                        class="fa fa-chevron-down"></i></a>
                                        </th>
                                    </tr>
                                    </thead>

                                    <tbody>
                                    {% if contacts|length > 0 %}
                                        {% for index, contact in contacts %}
                                            <tr class="{{ (index % 2 == 0) ? 'even' : 'odd' }}> pointer">
                                                <td class="a-center ">
                                                    <input type="checkbox" class="flat" name="table_records">
                                                </td>
                                                <td class="">{{ contact.name }}</td>
                                                <td class="">{{ contact.client }}</td>
                                                <td class="">{{ contact.email }}</td>
                                                <td class="">{{ contact.phone }}</td>
                                                <td class="last"></td>
                                            </tr>
                                        {% endfor %}
                                    {% else %}
                                        <tr class="even">
                                            <td class="" colspan="8">Geen resultaten gevonden</td>
                                        </tr>
                                    {% endif %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /page content -->
{% endblock %}
